/*
	FILE: Journal Driver.h
	
	This file contains constants used by both the
	journal driver and things that issue control
	calls to it
*/

/* bitmasks for event flags. Used to find out what events
   should be trapped. Also used to setup csParam for the
   JRNL_CONFIG call.
*/


#include <Global.h>

/*
#define	MOD_COMMAND_BIT	0x0001
#define MOD_OPTION_BIT	0x0002
#define MOD_CONTROL_BIT	0x0004
#define OTHER_KEYS_BIT	0x0008
#define MOUSE_UP_BIT	0x0010
#define MOUSE_DOWN_BIT	0x0020
#define MOUSE_MOVE_BIT	0x0040
*/
#define TIME_STAMP_BIT	0x0001

#define JRNL_DRVR_NAME	"\p.Journal"

/* control calls */

#define JRNL_ON			18		/* turn on the journaling mechanism */
#define JRNL_OFF		19		/* turn off the journaling mechanism */
#define JRNL_OPEN_FILE	20		/* csParam contains a pointer to the file name */

/* typedef for argument passed in the JRNL_OPEN_FILE control call */

typedef struct {
	short	vRefNum ;
	long	dirID ;
	int		eventFlags ;
	OSType	creator ;
	Str63	fName ;
} JrnlFileParam, *P_JrnlFileParam ;